Bug 718988 - [EL5.7] igb: failed to activate WOL on 2nd LAN port on i350
Summary: [EL5.7] igb: failed to activate WOL on 2nd LAN port on i350
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Stefan Assmann
QA Contact: Qian Hong
URL:
Whiteboard:
Depends On: 718293
Blocks: 708414 727128 730682 758797
TreeView+ depends on / blocked
 
Reported: 2011-07-05 11:09 UTC by Martin Wilck
Modified: 2012-02-21 03:43 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This update adds a missing patch that enables WOL (Wake-on-LAN) on the second port of a Intel Ethernet Server Adapter I350.
Clone Of: 718293
: 727128 (view as bug list)
Environment:
Last Closed: 2012-02-21 03:43:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
0001-igb-fix-WOL-on-2nd-port-on-i350.patch (1.11 KB, patch)
2011-07-29 09:46 UTC, Stefan Assmann
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0150 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 5.8 kernel update 2012-02-21 07:35:24 UTC

Description Martin Wilck 2011-07-05 11:09:20 UTC
+++ This bug was initially created as a clone of Bug #718293 +++

Description of problem:
On a PRIMERGY RX300S7 (Romley/Patsburg system with onboard Powerville NIC), wake-on-lan can't be activated with the RHEL6.1 native igb driver 3.0.6-k2.

Version-Release number of selected component (if applicable):

2.6.18-269.el5

How reproducible:
always

Steps to Reproduce:
1. run "ethtool eth2"

Actual results:
Supports Wake-on: d

Expected results:
Supports Wake-on: pumbg

Additional info:
The driver igb 3.0.19 from e1000.sourceforge.net enables WOL on this port successfully.
--- Additional comment from martin.wilck@ts.fujitsu.com on 2011-07-04 07:44:14 EDT ---

Created attachment #511175 [details]
proposed patch

I think I found the difference between the OEM and upstream drivers. It's a trivial patch. Intel, please verify.

--- Additional comment from martin.wilck@ts.fujitsu.com on 2011-07-05 04:24:10 EDT ---

Upstream submission here:

http://marc.info/?l=linux-netdev&m=130978970530745&w=2

Comment 1 Martin Wilck 2011-07-08 12:20:29 UTC
This patch has been ACKed by Intel. Please include in 5.7, or prepare a 5.7.z errata. Given Intel's ACK and the patch's simplicity, this shouldn't be a problem.

Comment 2 Stefan Assmann 2011-07-29 09:46:47 UTC
Created attachment 515865 [details]
0001-igb-fix-WOL-on-2nd-port-on-i350.patch

Comment 3 Martin Wilck 2011-07-29 15:42:38 UTC
As this didn't make it into 5.7 GA, I would like to request an early 5.7.z errata.

Comment 5 Larry Troan 2011-07-31 13:06:34 UTC
Tracker changed from FJ5.7Bugs to FTS5.8Bugs since 5.7 has shipped.

Added ZSTREAM keyword since FTS is requesting for 5.7.z. New Bug number will need to be cloned from this bug for 5.7 z-stream.

Comment 9 RHEL Program Management 2011-08-04 04:13:49 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Weibing Zhang 2011-08-09 05:51:30 UTC
qa_ack+.
Machine in beaker:
intel-s3e37-03.lab.bos.redhat.com
intel-s3eb1-03.lab.bos.redhat.com

Comment 16 Jarod Wilson 2011-08-23 14:04:59 UTC
Patch(es) available in kernel-2.6.18-282.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5
Detailed testing feedback is always welcomed.

Comment 18 Martin Prpič 2011-10-27 09:22:38 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
This update adds a missing patch that enables WOL (Wake-on-LAN) on the second port of a Intel Ethernet Server Adapter I350.

Comment 19 Larry Troan 2011-12-01 19:36:00 UTC
Per Gary Smith, the Z-stream bug for this is 
https://bugzilla.redhat.com/show_bug.cgi?id=730682
which went out on 20th Oct via http://rhn.redhat.com/errata/RHSA-2011-1386.html.

Comment 20 Qian Hong 2011-12-26 11:00:41 UTC
Hello, this bug can be reproduce on intel-canoepass-03.lab.bos.redhat.com with 2.6.18-269.el5:

# ethtool -i eth1
driver: igb
version: 3.0.6-k2-1
firmware-version: 0.147-0
bus-info: 0000:07:00.1

# lspci
07:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
07:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
07:00.2 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
07:00.3 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)

Retested with 2.6.18-289.el5 and 2.6.18-302.el5, ethtool eth1 return "Supports Wake-on: pumbg". Manually test wake on lan on 2.6.18-289.el5, wol works as expect.

Marking VERIFIED.

BTW, would some one set the "Fixed In Version" field? Thanks.

Comment 21 Martin Wilck 2012-01-27 13:18:18 UTC
(In reply to comment #20)
> Marking VERIFIED.

???
The VERIFIED flag wasn't set. doing it now.

Comment 22 errata-xmlrpc 2012-02-21 03:43:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0150.html


Note You need to log in before you can comment on or make changes to this bug.